package edu.ntua.ivml.qa.algorithm;

import java.util.ArrayList;

import edu.ntua.ivml.common.lp.Clause;

public abstract class PartialEngine extends Engine {

	protected PartialEngine(String name) {
		super(name);
	}
	
	public ArrayList<Clause> getRewritings(Clause q) {
		return computeRewritings(q).getFilteredRewritings();
	}
	
	public ArrayList<Clause> getRewritings(Clause q, boolean sc) {
		return computeRewritings(q, sc).getFilteredRewritings();
	}
}
