package edu.ntua.ivml.qa.algorithm.rapid.dllite;

import edu.ntua.ivml.common.lp.Atom;
import edu.ntua.ivml.qa.algorithm.rapid.ClauseUnfolder;
import edu.ntua.ivml.qa.algorithm.rapid.UnfoldedClause;


public class DLSimpleSubsumeChecker extends DLSubsumeChecker {
	
	public UnfoldedClause check(Atom head, DLIndexEntryList[] atomList, int[] index, boolean isSymmetric, ClauseUnfolder unf) {
		boolean pure = !isSymmetric;
		
		if (pure) {
			for (int j = 0; j < atomList.length; j++) {
				if (index[j] != -1) {
					if (((DLIndexEntry)atomList[j].getList().get(index[j])).roots != null) {
						pure = false;
						break;
					} 
				}
			}
		}
		
		return unf.createClause(adjustIndex(index), pure);
	}
}
