package edu.ntua.ivml.common.lp;


public class ClauseAtomSelector {

    private boolean selectedHead; 
	private boolean[] selectedBody;
    
    public ClauseAtomSelector(Clause c) {
    	selectedBody = new boolean[c.bodySize()];
    }
    
    public void setSelectedHead(boolean st) {
    	selectedHead = st;
    }
    
    public void setSelectedBodyAt(int i, boolean st) {
    	selectedBody[i] = st;
    }
    
    public boolean isSelectedHead() {
    	return selectedHead;
    }

    public boolean isSelectedBodyAt(int i) {
    	return selectedBody[i];
    }    
    
    public String toString() {
    	String s = "";
    	
    	s += selectedHead + " -- ";
    	
    	for (int i = 0; i < selectedBody.length; i++) {
    		s += selectedBody[i] + " ";
    	}
    	
    	return s;
    }
    
}
