package edu.ntua.ivml.common.utils;

import java.util.ArrayList;

public class Utils {

    public static int binarySearch(ArrayList<Integer> a, int key) {
		int low = 0;
		int high = a.size() - 1;
		
		while (low <= high) {
			int mid = (low + high) >>> 1;
			int midVal = a.get(mid);
			
			if (midVal < key) {
				low = mid + 1;
			} else if (midVal > key) {
				high = mid - 1;
			} else {
				return mid;
			}
		}
		
		return -(low + 1);
    }
    
    public static <T> String printArray(T[] a) {
    	String res = "";
    	for (int i = 0; i < a.length; i++) {
    		res += a[i].toString();
    	}
    	return res;
    }

}
