package edu.ntua.ivml.qa.algorithm;

import java.util.ArrayList;

import edu.ntua.ivml.common.lp.Clause;


public class ComputedRewriting {

	private ArrayList<Clause> frewritings;
	private ArrayList<Clause> rewritings;
	private Stats stats;
	
	public ComputedRewriting(ArrayList<Clause> frewritings, ArrayList<Clause> rewritings, Stats stats) {
		this.frewritings = frewritings;
		this.rewritings = rewritings;
		this.stats = stats;
	}

	public ArrayList<Clause> getAllComputedRewritings() {
		return frewritings;
	}

	public ArrayList<Clause> getFilteredRewritings() {
		return rewritings;
	}
	
	public Stats getStatistics() {
		return stats;
	}

	
}
