package edu.ntua.ivml.qa.algorithm;

import java.util.ArrayList;
import java.util.Set;

import edu.ntua.ivml.common.lp.Clause;
import edu.ntua.ivml.common.lp.Variable;
import edu.ntua.ivml.qa.lp.theory.FCTheory;


public interface ResolveEngine {

	public String getEngineName();
	
	public ArrayList<Clause> shallowResolve(Clause query, Set<Variable> vars);

	public void setTheory(FCTheory lp);

}
