package edu.ntua.ivml.qa.algorithm.rapid;

import edu.ntua.ivml.common.lp.Substitution;

public class AtomUnfoldingResult {
	protected AtomUnfolding unfoldList;
	protected Substitution substitution;
	
	public AtomUnfoldingResult(AtomUnfolding unfoldList, Substitution substitution) {
		this.unfoldList = unfoldList;
		this.substitution = substitution;
	}

	public AtomUnfolding getUnfolding() {
		return unfoldList;
	}

	public Substitution getSubstitution() {
		return substitution;
	}
	
	public String toString() {
		return unfoldList.toString();
	}
}

