package edu.ntua.ivml.qa.algorithm.rapid;

import edu.ntua.ivml.common.lp.Atom;
import edu.ntua.ivml.common.lp.Clause;

public class DatalogAtom {
	public Atom substAtom;
	public Atom leftAtom;
	public Atom rightAtom;
		
	public DatalogAtom(Atom a1, Atom a2, Atom a3) {
		this.substAtom = a1;
		this.leftAtom = a2;
		this.rightAtom = a3;
	}
	
	public Clause toDatalogClause() {
		if (!leftAtom.equals(rightAtom)) {
			return new Clause(leftAtom, rightAtom);
		}
		
		return null;
	}
	
	public int hashCode() {
		return leftAtom.hashCode();
	}
	
	public boolean equals(Object obj) {
		if (obj instanceof DatalogAtom) {
			return leftAtom.equals(((DatalogAtom)obj).leftAtom);
		}
		
		return false;
	}
}