package edu.ntua.ivml.qa.algorithm.rapid;

public class Point {
	protected int column;
	protected int row;

	public Point(int col, int row) {
		this.column = col;
		this.row = row;
	}

	public int getColumn() {
		return column;
	}
	
	public int getRow() {
		return row;
	}
	
	public IndexEntry getIndexEntry(IndexEntryList[] list) {
		return list[column].getList().get(row);
	}

	public String toString() {
		return "(" + column + "," + row + ")";
	}
}