package edu.ntua.ivml.qa.algorithm.rapid;

import edu.ntua.ivml.common.lp.Clause;

public class UnfoldedClause {
	private Clause clause;
	private boolean pure;
	private boolean isTop;
	
	public UnfoldedClause(Clause clause) {
		this(clause, true, false);
	}
	
	public UnfoldedClause(Clause clause, boolean pure, boolean isTop) {
		this.clause = clause;
		this.pure = pure;
		this.isTop = isTop;
	}
	
	public Clause getClause() {
		return clause;
	}
	
	public boolean isPure() {
		return pure;
	}

	public boolean isTop() {
		return isTop;
	}

	public int hashCode() {
		return clause.hashCode();
	}
	
	public boolean equals(Object obj) {
		if (obj instanceof UnfoldedClause) {
			return clause.equals(((UnfoldedClause)obj).clause);
		} else {
			return false;
		}
	}
}
