package edu.ntua.ivml.qa.algorithm.rapid.dllite;

import java.util.ArrayList;
import java.util.Set;

import edu.ntua.ivml.common.lp.Atom;
import edu.ntua.ivml.qa.algorithm.rapid.IndexEntry;


public class DLIndexEntry extends IndexEntry {
	public ArrayList<Integer> fIndex;
	public DLIndexEntry firstEntry;
	public DLIndexEntry nextEntry;
	
	public ArrayList<Integer> covered;
	
	public DLIndexEntry mainRoot;
	
	public Set<DLIndexEntry> roots;
	public Set<DLIndexEntry> children;
	
	public DLIndexEntry(Atom atom) {
		super(atom);
	}

	public String toString() {
		return atom.toString();
	}
}
