package edu.ntua.ivml.qa.algorithm.rapid.dllite;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.Set;

import edu.ntua.ivml.common.lp.Predicate;
import edu.ntua.ivml.qa.algorithm.rapid.IndexEntry;
import edu.ntua.ivml.qa.algorithm.rapid.IndexEntryList;



public class DLIndexEntryList extends IndexEntryList {
	private Set<Predicate> preds;
	
	public DLIndexEntryList(ArrayList<IndexEntry> atomList) {
		super(atomList);
		
		preds = new HashSet<Predicate>();
		
		for (IndexEntry ie : atomList) {
			preds.add(ie.getAtom().getPredicate());
		}
	}
	
	public Set<Predicate> getPredicates() {
		return preds;
	}

}
