package edu.ntua.ivml.qa.algorithm.rapid.dllite;

import java.util.ArrayList;

import edu.ntua.ivml.common.lp.Atom;
import edu.ntua.ivml.qa.algorithm.rapid.ClauseUnfolder;
import edu.ntua.ivml.qa.algorithm.rapid.Point;
import edu.ntua.ivml.qa.algorithm.rapid.UnfoldedClause;


public abstract class DLSubsumeChecker {
	
	public static boolean extra;
	
	public abstract UnfoldedClause check(Atom head, DLIndexEntryList[] atomList, int[] index, boolean isSymmetric, ClauseUnfolder unf);

	protected ArrayList<Point> adjustIndex(int[] index) {
		ArrayList<Point> pIndex = new ArrayList<Point>();
		for (int i = 0 ; i < index.length; i++) {
			if (index[i] == -1) {
				pIndex.add(null);
			} else {
				pIndex.add(new Point(i, index[i]));
			}
		}

		return pIndex;
	}

}
